Version 1.7.a3 - 10/Jan/2015

- Do not show notices when running slackpkg update or slackpkg check-updates
    (thanks to yars068)
  - Fixed a bug on x86 hosts when a repository contains also x86_64 packages

removed TABs from all files
This commit is contained in:
Matteo Rossini 2016-01-10 15:32:37 +01:00
parent aca5d2ab80
commit fac0996698
8 changed files with 188 additions and 177 deletions

View file

@ -1,17 +1,22 @@
Version 1.7.a3 - 10/Jan/2015
- Do not show notices when running slackpkg update or slackpkg check-updates
(thanks to yars068)
- Fixed a bug on x86 hosts when a repository contains also x86_64 packages
Version 1.7.a2 - 06/Jan/2015
- Remember user to (re)run 'slackpkg update gpg'
- Fixed Download Only when upgrade base packages (aaa_base, pkgtools...)
- Quick output on Cached Download
- Fixed Download Only when upgrade base packages (aaa_base, pkgtools...)
- Quick output on Cached Download
Version 1.7.a1 - 04/Jan/2015
It's the time for a stable version of slackpkg+. Currently it is just a
development version to fix older feature and add/test new. I'll need more
test possible to make it bugfree ;).
- Code reordering; now slackpkg+ is only slackpkgplus.sh
- Added repositories; improved checkrepos.sh
- BugFix: slackpk give 'grep: write error' when running with "sudo su -"
- SecurityFix: Strict GPG Check. Packages MUST to be signed with root-GPG-KEY.
If can disable it via CHECKGPG in slackpkgplus.sh; see README
development version to fix older feature and add/test new. I'll need more
test possible to make it bugfree ;).
- Code reordering; now slackpkg+ is only slackpkgplus.sh
- Added repositories; improved checkrepos.sh
- BugFix: slackpkg give 'grep: write error' when running with "sudo su -"
- SecurityFix: Strict GPG Check. Packages MUST to be signed with root-GPG-KEY.
If can disable it via CHECKGPG in slackpkgplus.sh; see README
- New repository for slackpkg+ development version
Version 1.6.1 - 20/Dec/2015

View file

@ -1,17 +1,22 @@
Version 1.7.a3 - 10/Jan/2015
- Do not show notices when running slackpkg update or slackpkg check-updates
(thanks to yars068)
- Fixed a bug on x86 hosts when a repository contains also x86_64 packages
Version 1.7.a2 - 06/Jan/2015
- Remember user to (re)run 'slackpkg update gpg'
- Fixed Download Only when upgrade base packages (aaa_base, pkgtools...)
- Quick output on Cached Download
- Fixed Download Only when upgrade base packages (aaa_base, pkgtools...)
- Quick output on Cached Download
Version 1.7.a1 - 04/Jan/2015
It's the time for a stable version of slackpkg+. Currently it is just a
development version to fix older feature and add/test new. I'll need more
test possible to make it bugfree ;).
- Code reordering; now slackpkg+ is only slackpkgplus.sh
- Added repositories; improved checkrepos.sh
- BugFix: slackpk give 'grep: write error' when running with "sudo su -"
- SecurityFix: Strict GPG Check. Packages MUST to be signed with root-GPG-KEY.
If can disable it via CHECKGPG in slackpkgplus.sh; see README
development version to fix older feature and add/test new. I'll need more
test possible to make it bugfree ;).
- Code reordering; now slackpkg+ is only slackpkgplus.sh
- Added repositories; improved checkrepos.sh
- BugFix: slackpkg give 'grep: write error' when running with "sudo su -"
- SecurityFix: Strict GPG Check. Packages MUST to be signed with root-GPG-KEY.
If can disable it via CHECKGPG in slackpkgplus.sh; see README
- New repository for slackpkg+ development version
Version 1.6.1 - 20/Dec/2015

View file

@ -4,7 +4,7 @@
unset LANG
if [ -z "$1" ];then
echo "
echo "
Usage:
$0 [ -q ] <repository_url>
@ -48,8 +48,8 @@ fi
V=1
if [ "$1" == "-q" ];then
V=""
shift
V=""
shift
fi
if [ "$1" == "-v" ];then
V=2
@ -57,9 +57,9 @@ if [ "$1" == "-v" ];then
fi
if [ -f "$1" ];then
REPOS=$(cat $1|egrep -o 'http://[^ ]*')
REPOS=$(cat $1|egrep -o 'http://[^ ]*')
else
REPOS=$(echo $*|egrep -o 'http://[^ ]*')
REPOS=$(echo $*|egrep -o 'http://[^ ]*')
fi
REPOS=$(eval echo $REPOS|sed -e 's/{//g' -e 's/}//g')
@ -74,126 +74,127 @@ cd $TMP
echo
echo "Check repositories"
for R in $REPOS;do
[ $V ]&&echo
REPO=${R%/}
echo -n "Repository: $REPO/ "
HOST=$(echo $REPO|cut -f3 -d/)
[ $V ]&&echo -en "\n Host: $HOST\n Check IP: "||echo -n .
if echo $HOST|egrep -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$';then
IP=$HOST
else
IP=$(host $HOST 2>/dev/null|grep 'has address'|head -1|awk '{print $NF}')
fi
echo $IP|egrep -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$'
if [ $? -ne 0 ];then
[ $V ]&&echo -e " unable to resolve\nInvalid repository"|grep --color .||echo " Invalid (unable to resolve address)"|grep --color .
continue
fi
[ $V ]&&echo -en " $IP\n Check connection: "||echo -n .
echo |timeout 10 telnet $IP 80 > telnet.out 2>&1
ERR=$?
if grep -q "Escape character is" telnet.out;then
[ $V ]&&echo "OK "||echo -n .
elif grep -q "Connection refused" telnet.out;then
[ $V ]&&echo -e " Connection refused\nInvalid repository"|grep --color .||echo " Invalid (connection refused)"|grep --color .
continue
elif [ $ERR -eq 124 ];then
[ $V ]&&echo -e " Timeout\nInvalid repository"|grep --color .||echo " Invalid (timeout)"|grep --color .
continue
else
[ $V ]&&echo -e " Failed\nInvalid repository"|grep --color .||echo " Invalid (connection failed)"|grep --color .
continue
fi
MD5=no
[ $V ]&&echo -en " CHECKSUMS.md5: "||echo -n .
curl --location --head $REPO/CHECKSUMS.md5 > CHECKSUMS.md5.R 2>/dev/null
ERR=$?
if grep -q "200 OK" CHECKSUMS.md5.R;then
[ $V ]&&echo -n "OK "||echo -n .
if grep -q Content-Length: CHECKSUMS.md5.R;then
[ $V ]&&echo -n "$(grep Content-Length: CHECKSUMS.md5.R|awk '{print $2}'|sed 's/ //') bytes "
fi
if grep -q Last-Modified: CHECKSUMS.md5.R;then
[ $V ]&&echo -n "($(grep Last-Modified: CHECKSUMS.md5.R|cut -f2- -d:|sed 's/ //') ) "
fi
[ $V ]&&echo
REPO=${R%/}
echo -n "Repository: $REPO/ "
HOST=$(echo $REPO|cut -f3 -d/)
[ $V ]&&echo -en "\n Host: $HOST\n Check IP: "||echo -n .
if echo $HOST|egrep -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$';then
IP=$HOST
else
IP=$(host $HOST 2>/dev/null|grep 'has address'|head -1|awk '{print $NF}')
fi
echo $IP|egrep -q '^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$'
if [ $? -ne 0 ];then
[ $V ]&&echo -e " unable to resolve\nInvalid repository"|grep --color .||echo " Invalid (unable to resolve address)"|grep --color .
continue
fi
[ $V ]&&echo -en " $IP\n Check connection: "||echo -n .
echo |timeout 10 telnet $IP 80 > telnet.out 2>&1
ERR=$?
if grep -q "Escape character is" telnet.out;then
[ $V ]&&echo "OK "||echo -n .
elif grep -q "Connection refused" telnet.out;then
[ $V ]&&echo -e " Connection refused\nInvalid repository"|grep --color .||echo " Invalid (connection refused)"|grep --color .
continue
elif [ $ERR -eq 124 ];then
[ $V ]&&echo -e " Timeout\nInvalid repository"|grep --color .||echo " Invalid (timeout)"|grep --color .
continue
else
[ $V ]&&echo -e " Failed\nInvalid repository"|grep --color .||echo " Invalid (connection failed)"|grep --color .
continue
fi
MD5=yes
elif grep -q "404 Not Found" CHECKSUMS.md5.R;then
[ $V ]&&echo -e " not present\nInvalid repository"|grep --color .||echo " Invalid (CHECKSUMS.md5 not present)"|grep --color .
continue
else
[ $V ]&&echo -e " unable to retrieve\nInvalid repository"|grep --color .||echo " Invalid (unable to retrieve CHECKSUMS.md5)"|grep --color .
continue
fi
PACK=no
[ $V ]&&echo -en " PACKAGES.TXT: "||echo -n .
curl --location --head $REPO/PACKAGES.TXT > PACKAGES.TXT.R 2>/dev/null
ERR=$?
if grep -q "200 OK" PACKAGES.TXT.R;then
[ $V ]&&echo -n "OK "||echo -n .
if grep -q Content-Length: PACKAGES.TXT.R;then
[ $V ]&&echo -n "$(grep Content-Length: PACKAGES.TXT.R|awk '{print $2}'|sed 's/ //') bytes "
fi
if grep -q Last-Modified: PACKAGES.TXT.R;then
[ $V ]&&echo -n "($(grep Last-Modified: PACKAGES.TXT.R|cut -f2- -d:|sed 's/ //') ) "
fi
[ $V ]&&echo
PACK=yes
elif grep -q "404 Not Found" PACKAGES.TXT.R;then
[ $V ]&&echo -e " not present\nInvalid repository"|grep --color .||echo " Invalid (PACKAGES.TXT not present)"|grep --color .
continue
else
[ $V ]&&echo -e " unable to retrieve\nInvalid repository"|grep --color .||echo " Invalid (unable to retrieve PACKAGES.TXT)"|grep --color .
continue
fi
MD5=no
[ $V ]&&echo -en " CHECKSUMS.md5: "||echo -n .
curl --location --head $REPO/CHECKSUMS.md5 > CHECKSUMS.md5.R 2>/dev/null
ERR=$?
if grep -q "200 OK" CHECKSUMS.md5.R;then
[ $V ]&&echo -n "OK "||echo -n .
if grep -q Content-Length: CHECKSUMS.md5.R;then
[ $V ]&&echo -n "$(grep Content-Length: CHECKSUMS.md5.R|awk '{print $2}'|sed 's/ //') bytes "
fi
if grep -q Last-Modified: CHECKSUMS.md5.R;then
[ $V ]&&echo -n "($(grep Last-Modified: CHECKSUMS.md5.R|cut -f2- -d:|sed 's/ //') ) "
fi
[ $V ]&&echo
MD5=yes
elif grep -q "404 Not Found" CHECKSUMS.md5.R;then
[ $V ]&&echo -e " not present\nInvalid repository"|grep --color .||echo " Invalid (CHECKSUMS.md5 not present)"|grep --color .
continue
else
[ $V ]&&echo -e " unable to retrieve\nInvalid repository"|grep --color .||echo " Invalid (unable to retrieve CHECKSUMS.md5)"|grep --color .
continue
fi
PACK=no
[ $V ]&&echo -en " PACKAGES.TXT: "||echo -n .
curl --location --head $REPO/PACKAGES.TXT > PACKAGES.TXT.R 2>/dev/null
ERR=$?
if grep -q "200 OK" PACKAGES.TXT.R;then
[ $V ]&&echo -n "OK "||echo -n .
if grep -q Content-Length: PACKAGES.TXT.R;then
[ $V ]&&echo -n "$(grep Content-Length: PACKAGES.TXT.R|awk '{print $2}'|sed 's/ //') bytes "
fi
if grep -q Last-Modified: PACKAGES.TXT.R;then
[ $V ]&&echo -n "($(grep Last-Modified: PACKAGES.TXT.R|cut -f2- -d:|sed 's/ //') ) "
fi
[ $V ]&&echo
PACK=yes
elif grep -q "404 Not Found" PACKAGES.TXT.R;then
[ $V ]&&echo -e " not present\nInvalid repository"|grep --color .||echo " Invalid (PACKAGES.TXT not present)"|grep --color .
continue
else
[ $V ]&&echo -e " unable to retrieve\nInvalid repository"|grep --color .||echo " Invalid (unable to retrieve PACKAGES.TXT)"|grep --color .
continue
fi
[ $V ]&&echo -n " GPG-KEY: "||echo -n .
wget -o wget.log --timeout=10 --wait=2 --tries=2 -O GPG-KEY $REPO/GPG-KEY
ERR=$?
if [ $ERR -eq 0 ];then
if [ ! -s GPG-KEY ];then
[ $V ]&&echo "empty"|grep --color .
GPG=bad
elif ! grep -q -- "-----END" GPG-KEY;then
[ $V ]&&echo "invalid"|grep --color .
GPG=bad
else
ID=$(gpg --list-packets GPG-KEY|grep ":user ID packet:"|head -1|cut -f2 -d'"')
if [ -z "$ID" ];then
[ $V ]&&echo "Unable to get UID"|grep --color .
[ $V ]&&echo -n " GPG-KEY: "||echo -n .
wget -o wget.log --timeout=10 --wait=2 --tries=2 -O GPG-KEY $REPO/GPG-KEY
ERR=$?
if [ $ERR -eq 0 ];then
if [ ! -s GPG-KEY ];then
[ $V ]&&echo "empty"|grep --color .
GPG=bad
elif ! grep -q -- "-----END" GPG-KEY;then
[ $V ]&&echo "invalid"|grep --color .
GPG=bad
else
ID=$(gpg --list-packets GPG-KEY|grep ":user ID packet:"|head -1|cut -f2 -d'"')
if [ -z "$ID" ];then
[ $V ]&&echo "Unable to get UID"|grep --color .
GPG=yes
else
[ $V ]&&echo $ID
else
[ $V ]&&echo $ID
GPG=$ID
fi
fi
if [ "$V" == "2" ];then
( gpg --list-packets GPG-KEY
cat GPG-KEY
)|sed 's/^/ /'
fi
fi
elif grep -q "404 Not Found" wget.log;then
[ $V ]&&echo "not present"|grep --color .
GPG=no
else
[ $V ]&&echo "unable to retrieve"|grep --color .
GPG=no
fi
if [ ! $V ];then
echo -n " OK"
if [ "$GPG" != "yes" ];then
echo -n " ( $GPG gpg )"
fi
echo
else
echo "Done"
fi
elif grep -q "404 Not Found" wget.log;then
[ $V ]&&echo "not present"|grep --color .
GPG=no
else
[ $V ]&&echo "unable to retrieve"|grep --color .
GPG=no
fi
echo -e "$REPO#$MD5#$PACK#$GPG" >> repositories.tmp
if [ ! $V ];then
echo -n " OK"
if [ "$GPG" != "yes" ];then
echo -n " ( $GPG gpg )"
fi
echo
else
echo "Done"
fi
echo -e "$REPO#$MD5#$PACK#$GPG" >> repositories.tmp
done

View file

@ -21,10 +21,10 @@ fi
)|sort|awk '{if(x=!x){printf("%s ", $2)}else{print $2,$3,$1}}' \
|sed -e 's/$/ installed/'|awk '{print $2,$3,$4,$1,$5}'
)| sed -r -e 's/^([^ ]+) ([^ ]+) (.*)-([^-]+)-([^-]+)-([^ ]+) (\.t.z) (.*)/\1 \2 \3 \3-\4-\5-\6 \7 \8/'|sort|awk '{
if (!p[$3]) { print $1" "$2" installed: "$4$5" []" ; p[$3]=$4 }
else if ($5=="removed") { print $1" "$2" removed: "$4 ; p[$3]=0 }
else if (p[$3]==$4) { print $1" "$2" reinstalled: "$4$5" []" }
else { print $1" "$2" upgraded: "$4$5" [] (was "p[$3]")"; p[$3]=$4 }
if (!p[$3]) { print $1" "$2" installed: "$4$5" []" ; p[$3]=$4 }
else if ($5=="removed") { print $1" "$2" removed: "$4 ; p[$3]=0 }
else if (p[$3]==$4) { print $1" "$2" reinstalled: "$4$5" []" }
else { print $1" "$2" upgraded: "$4$5" [] (was "p[$3]")"; p[$3]=$4 }
}'
cat $WORKDIR/install.log 2>/dev/null|grep -v '\[\]'
@ -43,9 +43,9 @@ else
cat $WORKDIR/install.log.tmp |while read a;do
P=$(echo $a|awk '{print $4}')
R=$(grep -m1 \
"$(echo $P|awk -f /usr/libexec/slackpkg/pkglist.awk | awk '{print " "$1" .* "$3" "$4"$"}'| sed -r 's/ [0-9]+([^\$]*)\$/ [0-9]\\+\1 /')" \
$WORKDIR/pkglist.tmp|awk '{print $1}'|sed 's/SLACKPKGPLUS_//'
)
"$(echo $P|awk -f /usr/libexec/slackpkg/pkglist.awk | awk '{print " "$1" .* "$3" "$4"$"}'| sed -r 's/ [0-9]+([^\$]*)\$/ [0-9]\\+\1 /')" \
$WORKDIR/pkglist.tmp|awk '{print $1}'|sed 's/SLACKPKGPLUS_//'
)
echo "$a"|sed "s/\[\]/[$R]/"
done > $WORKDIR/install.log.new
rm $WORKDIR/install.log.tmp

View file

@ -12,38 +12,38 @@ PKG=$TMP/slackpkg+-$VERSION
OUTPUT=${OUTPUT:-$TMP}
if [ repositories.txt -nt repositories.lst ];then
echo "WARNING: repositories.txt is newer than repositories.lst"
echo " remember to run ./checkrepos.sh repositories.txt > repositories.lst"
sleep 5
echo "WARNING: repositories.txt is newer than repositories.lst"
echo " remember to run ./checkrepos.sh repositories.txt > repositories.lst"
sleep 5
fi
INST=$(ls /var/log/packages/slackpkg+-$VERSION-noarch-* 2>/dev/null|true)
if [ ! -z "$INST" ];then
BINST=$(echo $INST|sed 's/.*-//')
NBUILD=$(echo $BUILD|egrep -o [0-9])
NBINST=$(echo $BINST|egrep -o [0-9])
if [ "$BINST" == "$BUILD" ];then
echo "WARNING: $INST seems to be installed"
echo " remember to change \$VERSION or \$BUILD"
sleep 5
elif [ $NBUILD -le $NBINST ];then
echo "NOTICE: `basename $INST` is installed"
echo " remember to change \$VERSION or \$BUILD"
sleep 5
fi
BINST=$(echo $INST|sed 's/.*-//')
NBUILD=$(echo $BUILD|egrep -o [0-9])
NBINST=$(echo $BINST|egrep -o [0-9])
if [ "$BINST" == "$BUILD" ];then
echo "WARNING: $INST seems to be installed"
echo " remember to change \$VERSION or \$BUILD"
sleep 5
elif [ $NBUILD -le $NBINST ];then
echo "NOTICE: `basename $INST` is installed"
echo " remember to change \$VERSION or \$BUILD"
sleep 5
fi
fi
SPKGPLUS_VERSION=$(grep 'SPKGPLUS_VERSION="'$VERSION'"' slackpkgplus.sh|cut -f2 -d'"')
if [ "$SPKGPLUS_VERSION" != "$VERSION" ];then
echo "WARNING: slackpkg+ version in ChangeLog.txt ($VERSION) does not match with"
echo " slackpkg+ version in slackpkgplus.sh ($SPKGPLUS_VERSION)"
echo " please remember to update both version"
sleep 5
echo "WARNING: slackpkg+ version in ChangeLog.txt ($VERSION) does not match with"
echo " slackpkg+ version in slackpkgplus.sh ($SPKGPLUS_VERSION)"
echo " please remember to update both version"
sleep 5
fi
if [ -e ../ChangeLog.txt ];then if ! diff ../ChangeLog.txt ChangeLog.txt;then
echo "WARNING: ChangeLog in src/ and git root does not match; please update both"
sleep 5
echo "WARNING: ChangeLog in src/ and git root does not match; please update both"
sleep 5
fi;fi

View file

@ -656,23 +656,23 @@ if [ "$SLACKPKGPLUS" = "on" ];then
echo 1
fi
if [ "$(basename $1)" == "CHECKSUMS.md5" ];then
if [ "$TAG_PRIORITY" == "on" ];then
mv ${TMPDIR}/CHECKSUMS.md5 ${TMPDIR}/CHECKSUMS.md5-old
for PREPO in ${PRIORITY[*]};do
grep " \./$PREPO/" ${TMPDIR}/CHECKSUMS.md5-old >> ${TMPDIR}/CHECKSUMS.md5
done
fi
# if [ "$TAG_PRIORITY" == "on" ];then
mv ${TMPDIR}/CHECKSUMS.md5 ${TMPDIR}/CHECKSUMS.md5-old
for PREPO in ${PRIORITY[*]};do
grep " \./$PREPO/" ${TMPDIR}/CHECKSUMS.md5-old >> ${TMPDIR}/CHECKSUMS.md5
done
# fi
X86_64=$(ls $ROOT/var/log/packages/aaa_base*x86_64* 2>/dev/null|head -1)
for PREPO in ${REPOPLUS[*]};do
if [ ! -z "$X86_64" ];then
if [ "$ALLOW32BIT" == "on" ];then
egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "-(arm)-" |sed -r "s# \./# ./SLACKPKGPLUS_$PREPO/#" >> ${TMPDIR}/CHECKSUMS.md5
else
egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "-(i[3456]86|arm)-" |sed -r "s# \./# ./SLACKPKGPLUS_$PREPO/#" >> ${TMPDIR}/CHECKSUMS.md5
fi
if [ -z "$X86_64" ];then
FILTEREXCLUDE="-(x86_64|arm)-"
elif [ "$ALLOW32BIT" == "on" ];then
FILTEREXCLUDE="-(arm)-"
else
egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "-(x86_64|arm)-" |sed -r "s# \./# ./SLACKPKGPLUS_$PREPO/#" >> ${TMPDIR}/CHECKSUMS.md5
FILTEREXCLUDE="-(x86|i[3456]86|arm)-"
fi
egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "$FILTEREXCLUDE" |sed -r -e "s# \./# ./SLACKPKGPLUS_$PREPO/#" >> ${TMPDIR}/CHECKSUMS.md5
#egrep -e ^[a-f0-9]{32} ${TMPDIR}/CHECKSUMS.md5-$PREPO|egrep -v -- "$FILTEREXCLUDE" |sed -r -e "s# \./# ./SLACKPKGPLUS_$PREPO/#" -e 's#^(.*)/([^/]+)$#\2 \1/\2#'|sort -rn|cut -f2- -d" " >> ${TMPDIR}/CHECKSUMS.md5
done
fi
} # END function checkgpg()
@ -1171,7 +1171,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
SPKGPLUS_VERSION="1.7.a2"
SPKGPLUS_VERSION="1.7.a3"
VERSION="$VERSION / slackpkg+ $SPKGPLUS_VERSION"

View file

@ -80,8 +80,8 @@ REPOPLUS=( slackpkgplus )
# Define mirrors (uncomment one or more mirror; remember to add it to REPOPLUS)
# GPG Note: after adding a repository, you must to run 'slackpkg update gpg'
# some repositories as salixos or slackel, have a partial GPG support;
# GPG Note: after adding/renaming a repository, you must to run 'slackpkg update gpg'
# some repositories as salixos, have a partial GPG support;
# for that repositories you may need to run slackpkg with 'slackpkg -checkgpg=off ...'
# Slackware 14.1 - i386

View file

@ -96,8 +96,8 @@ REPOPLUS=( slackpkgplus )
# Define mirrors (uncomment one or more mirror; remember to add it to REPOPLUS)
# GPG Note: after adding a repository, you must to run 'slackpkg update gpg'
# some repositories as salixos or slackel, have a partial GPG support;
# GPG Note: after adding/renaming a repository, you must to run 'slackpkg update gpg'
# some repositories as salixos, have a partial GPG support;
# for that repositories you may need to run slackpkg with 'slackpkg -checkgpg=off ...'
# Slackware 14.1 - x86_64